<div align="center"><a name="readme-top"></a>

<img height="160" src="https://raw.githubusercontent.com/microsoft/fluentui-emoji/refs/heads/main/assets/Rocket/3D/rocket_3d.png">

<h1>LLM CLI</h1>

LLM CLI is a powerful, open-source command-line interface for AI-driven repository management. Simplifies commit message generation, repository description, and topic suggestion, enhancing productivity and collaboration for developers.

[![][pypi-release-shield]][pypi-release-link]
[![][github-releasedate-shield]][github-releasedate-link]
[![][github-action-ci-shield]][github-action-ci-link]<br/>
[![][github-contributors-shield]][github-contributors-link]
[![][github-forks-shield]][github-forks-link]
[![][github-stars-shield]][github-stars-link]
[![][github-issues-shield]][github-issues-link]
[![][github-license-shield]][github-license-link]

[Changelog](./CHANGELOG.md) · [Report Bug][github-issues-link] · [Request Feature][github-issues-link]

![](https://raw.githubusercontent.com/andreasbm/readme/master/assets/lines/rainbow.png)

</div>

[pypi-release-shield]: https://img.shields.io/pypi/v/liblaf-ai-cli?logo=pypi&style=flat&label=PyPI
[pypi-release-link]: https://pypi.org/project/liblaf-ai-cli/
[github-releasedate-shield]: https://img.shields.io/github/release-date/liblaf/ai-cli?style=flat
[github-releasedate-link]: https://github.com/liblaf/ai-cli/releases
[github-action-ci-shield]: https://img.shields.io/github/actions/workflow/status/liblaf/ai-cli/ci.yaml?label=ci&logo=githubactions&logoColor=white&style=flat
[github-action-ci-link]: https://github.com/liblaf/ai-cli/actions/workflows/ci.yaml
[github-contributors-shield]: https://img.shields.io/github/contributors/liblaf/ai-cli?color=c4f042&style=flat
[github-contributors-link]: https://github.com/liblaf/ai-cli/graphs/contributors
[github-forks-shield]: https://img.shields.io/github/forks/liblaf/ai-cli?color=8ae8ff&style=flat
[github-forks-link]: https://github.com/liblaf/ai-cli/forks
[github-stars-shield]: https://img.shields.io/github/stars/liblaf/ai-cli?color=ffcb47&style=flat
[github-stars-link]: https://github.com/liblaf/ai-cli/stargazers
[github-issues-shield]: https://img.shields.io/github/issues/liblaf/ai-cli?color=ff80eb&style=flat
[github-issues-link]: https://github.com/liblaf/ai-cli/issues
[github-license-shield]: https://img.shields.io/github/license/liblaf/ai-cli?color=white&style=flat
[github-license-link]: https://github.com/liblaf/ai-cli/blob/main/LICENSE

## 📦 Installation

To install `ai-cli`, run the following command:

```bash
uv tool install liblaf-ai-cli
```

or

```bash
pipx install liblaf-ai-cli
```

## ⌨️ Local Development

You can clone it for local development:

```bash
gh repo clone liblaf/ai-cli
cd ai-cli
uv sync --all-extras
ai-cli --help
```

## 🤝 Contributing

Contributions of all types are more than welcome, if you are interested in contributing code, feel free to check out our GitHub [Issues][github-issues-link] to get stuck in to show us what you’re made of.

[![][pr-welcome-shield]][pr-welcome-link]

[![][github-contrib-shield]][github-contrib-link]

<div align="right">

[![][back-to-top]](#readme-top)

</div>

[pr-welcome-shield]: https://img.shields.io/badge/%F0%9F%A4%AF%20PR%20WELCOME-%E2%86%92-ffcb47?labelColor=black&style=for-the-badge
[pr-welcome-link]: https://github.com/liblaf/ai-cli/pulls
[github-contrib-shield]: https://contrib.rocks/image?repo=liblaf%2Fai-cli
[github-contrib-link]: https://github.com/liblaf/ai-cli/graphs/contributors
[back-to-top]: https://img.shields.io/badge/-BACK_TO_TOP-black?style=flat-square

---

#### 📝 License

Copyright © 2024 [liblaf][profile-link]. <br />
This project is [MIT](./LICENSE) licensed.

[profile-link]: https://github.com/liblaf
